Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.datatags
Class InputTagBase

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
oracle.jbo.html.jsp.datatags.DataTagBase
oracle.jbo.html.jsp.datatags.InputTagBase`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  InputDateTag, InputHiddenTag, InputPasswordTag, InputRenderTag, InputSelectBase, InputTextAreaTag, InputTextTag

public abstract class InputTagBase
extends DataTagBase

See Also:
  Serialized Form

Field Summary
`protected java.util.HashMap` | `htmlAttrs`
`protected int` | `nCols`
`protected int` | `nMaxLength`
`protected HTMLFieldRenderer` | `rndObj`
`protected java.lang.String` | `sReadonly`

Fields inherited from class oracle.jbo.html.jsp.datatags.DataTagBase
`attrDef, attrList, binding, ds, modelReference, row, ROWKEY_PARAM, rowVariableName, sAttrName, sDataItem, sDataSource, sSubAttrName`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`InputTagBase()`

Method Summary
`void` | `addHtmlAttribute(java.lang.String name, java.lang.String value)`
`int` | `doEndTag()`
`int` | `doStartTag()`
`abstract HTMLFieldRenderer` | `getFieldRenderer()`
`protected java.lang.String` | `getStrutsFormName()`
`protected javax.servlet.jsp.tagext.Tag` | `getStrutsFormTag()`
`protected void` | `initializeAttributeDef()`
`protected void` | `initializeFieldRenderer(HTMLFieldRenderer rField)`
`protected void` | `initializeRow()`
`void` | `internalInitialize()`
`void` | `setCols(java.lang.String sValue)`
`void` | `setMaxlength(java.lang.String sValue)`
`void` | `setReadonly(java.lang.String sValue)`

Methods inherited from class oracle.jbo.html.jsp.datatags.DataTagBase
`findAncestorWithClassForDataSource, getRowFromContext, initializeDataSource, initializeUsingModelReference, isUsingBindings, setDataitem, setDatasource, setModel`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sReadonly

    protected java.lang.String sReadonly

### rndObj

    protected HTMLFieldRenderer rndObj

### nCols

    protected int nCols

### nMaxLength

    protected int nMaxLength

### htmlAttrs

    protected java.util.HashMap htmlAttrs

Constructor Detail

### InputTagBase

    public InputTagBase()

Method Detail

### setCols

    public void setCols(java.lang.String sValue)
                 throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### setMaxlength

    public void setMaxlength(java.lang.String sValue)
                      throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### setReadonly

    public void setReadonly(java.lang.String sValue)

### addHtmlAttribute

    public void addHtmlAttribute(java.lang.String name,
                                 java.lang.String value)

### getFieldRenderer

    public abstract HTMLFieldRenderer getFieldRenderer()

### initializeRow

    protected void initializeRow()

  Overrides:
    `initializeRow` in class `DataTagBase`

### initializeFieldRenderer

    protected void initializeFieldRenderer(HTMLFieldRenderer rField)

### initializeAttributeDef

    protected void initializeAttributeDef()

  Overrides:
    `initializeAttributeDef` in class `DataTagBase`

### internalInitialize

    public void internalInitialize()

  Overrides:
    `internalInitialize` in class `DataTagBase`

### getStrutsFormTag

    protected javax.servlet.jsp.tagext.Tag getStrutsFormTag()

### getStrutsFormName

    protected java.lang.String getStrutsFormName()

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `DataTagBase`
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `DataTagBase`
  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.